<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>react-native-bluetooth-serial: RCTBluetoothSerial() Category Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">react-native-bluetooth-serial
   &#160;<span id="projectnumber">1.0.0</span>
   </div>
   <div id="projectbrief">Portofhttps://github.com/don/BluetoothSerialforreactnative</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="../../de/d8f/categoryRCTBluetoothSerial_07_08-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">RCTBluetoothSerial() Category Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:ad75c9a01e227f26102847c5891afe37c"><td class="memItemLeft" align="right" valign="top"><a id="ad75c9a01e227f26102847c5891afe37c"></a>
(NSString *)&#160;</td><td class="memItemRight" valign="bottom">- <b>readUntilDelimiter:</b></td></tr>
<tr class="separator:ad75c9a01e227f26102847c5891afe37c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec58c9b5dc3d44905b781241b55ab414"><td class="memItemLeft" align="right" valign="top"><a id="aec58c9b5dc3d44905b781241b55ab414"></a>
(NSMutableArray *)&#160;</td><td class="memItemRight" valign="bottom">- <b>getPeripheralList</b></td></tr>
<tr class="separator:aec58c9b5dc3d44905b781241b55ab414"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a207b7f17b01541b3d7e500d4175c3aca"><td class="memItemLeft" align="right" valign="top"><a id="a207b7f17b01541b3d7e500d4175c3aca"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>sendDataToSubscriber</b></td></tr>
<tr class="separator:a207b7f17b01541b3d7e500d4175c3aca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ba883412ae65f4ab9611e544e7b4861"><td class="memItemLeft" align="right" valign="top"><a id="a7ba883412ae65f4ab9611e544e7b4861"></a>
(CBPeripheral *)&#160;</td><td class="memItemRight" valign="bottom">- <b>findPeripheralByUUID:</b></td></tr>
<tr class="separator:a7ba883412ae65f4ab9611e544e7b4861"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96481cf6a0482579b4efd1b46f3aa9c1"><td class="memItemLeft" align="right" valign="top"><a id="a96481cf6a0482579b4efd1b46f3aa9c1"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>connectToUUID:</b></td></tr>
<tr class="separator:a96481cf6a0482579b4efd1b46f3aa9c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b15dac5132765d73f14113231231117"><td class="memItemLeft" align="right" valign="top"><a id="a0b15dac5132765d73f14113231231117"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>listPeripheralsTimer:</b></td></tr>
<tr class="separator:a0b15dac5132765d73f14113231231117"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d8110727b678268490779e581e4d863"><td class="memItemLeft" align="right" valign="top"><a id="a2d8110727b678268490779e581e4d863"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>connectFirstDeviceTimer:</b></td></tr>
<tr class="separator:a2d8110727b678268490779e581e4d863"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6006a0eaf32452d898f3aa121c3b9018"><td class="memItemLeft" align="right" valign="top"><a id="a6006a0eaf32452d898f3aa121c3b9018"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>connectUuidTimer:</b></td></tr>
<tr class="separator:a6006a0eaf32452d898f3aa121c3b9018"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this category was generated from the following file:<ul>
<li>RCTBluetoothSerial/RCTBluetoothSerial.m</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
